NAME
     test - wertet diverse Ausdrcke aus

SYNOPSIS
     test expr
     [ expr ]

BESCHREIBUNG
     test wertet den Ausdruck expr aus und liefert, falls dieser wahr
     ist, den Wert 0 zurck; andernfalls wird ein Wert ungleich 0
     zurckgeliefert, was auch der Fall ist, wenn test ohne Argumente
     aufgerufen wird.
     
     Alle Operatoren, Optionen und Klammern mssen test getrennt
     voneinander bergeben werden, damit sie korrekt erkannt werden.
     Normalerweise werden dazu Leerzeichen benutzt. Auch bei der
     Variante in der zweiten Zeile von SYNOPSIS mssen die eckigen
     Klammern getrennt von anderen Zeichen stehen.

     In einem Ausdruck knnen folgende Operatoren verwendet werden:

     -r  Datei   wahr, wenn die Datei existiert und lesbar ist.

     -w  Datei   wahr, wenn die Datei existiert und beschreibar ist.

     -x  Datei   wahr, wenn die Datei existiert und ausfhrbar ist.

     -f  Datei   wahr, wenn die Datei existiert und eine echte Datei ist.

     -d  Datei   wahr, wenn die Datei existiert und ein Ordner ist.

     -c  Datei   wahr, wenn die Datei existiert und ein zeichenorientiertes
                 Gert ist (Atari: aux:, con:, prn:).

     -b  Datei   wahr, wenn die Datei existiert und ein blockorientiertes
                 Gert ist (Atari: immer falsch).

     -p  Datei   wahr, wenn die Datei existiert und eine named-pipe ist
                 (Atari: immer falsch).

     -u  Datei   wahr, wenn die Datei existiert und das setuid-Bit gesetzt
                 ist (Atari: immer falsch).

     -g  Datei   wahr, wenn die Datei existiert und das setgid-Bit gesetzt
                 ist (Atari: immer falsch).

     -k  Datei   wahr, wenn die Datei existiert und das sticky-Bit gesetzt
                 ist (Atari: immer falsch).

     -s  Datei   wahr, wenn die Datei existiert und die Dateilnge grer
                 0 ist.

     -t  [ handle ]
                 wahr, wenn die geffnete Datei, dessen Dateihandle handle
                 ist (1 ist der Normalfall), mit einem Terminal assoziiert
                 ist.

     -z  s1      wahr, wenn die Lnge der Zeichenkette s1 gleich 0 ist.

     -n  s1      wahr, wenn die Lnge der Zeichenkette s1 ungleich 0 ist.

     s1  =  s2   wahr, wenn die Zeichenketten s1 und s2 identisch sind.

     s1 !=  s2   wahr, wenn die Zeichenketten s1 und s2 verschieden sind.

     s1          wahr, wenn s1 nicht die NULL-Zeichenkette ist.

     n1 -eq  n2  wahr, wenn die ganzen Zahlen n1 und n2 algebraisch gleich
                 sind. Anstelle von -eq kann auch -ne (ungleich), 
                 -gt (grer als), -ge (grer oder gleich), -lt (kleiner
                 oder gleich) und -le (kleiner als) benutzt werden.

     Diese Operatoren knnen durch die folgenden miteinander verknpt
     werden:

     !           einstellige Verneinung.

     -a          zweistelliger Und-Operator.

     -o          zweistelliger Oder-Operator (-a ist strker bindend als
                 -o).

     (  expr  )  Klammern, mit denen sich Ausdrcke zu einer Gruppe
                 zusammenfassen lassen.

SIEHE AUCH
     find(m), if

WARNUNG
     In der zweiten Form des Kommandos (die Form mit [] anstelle
     des Wortes "test" (Atari: test.ttp in [.ttp umbenennen))
     mssen die eckigen Klammern durch Leerzeichen getrennt werden.

     Die Operatoren = und != binden strker als die Operatoren -r
     bis -n, und = und != erwarten immer Argumente. Daher kann =
     und != nicht in direkter Verbindung mit -r bis -n benutzt
     werden.

     Wenn den Operatoren -r bis -n mehr als ein Argument folgt, wird
     nur das erste ausgewertet; alle anderen werden ignoriert, es sei
     denn es handelt sich um -a oder -o als zweites Argument.

     Wird bei test eine leere Variable oder '' getestet, so gibt es
     ein falsches Ergebnis, wenn noch weitere Argumente folgen, da
     die von Atari spezifizierte Methode zur Parameterbergabe
     ARGV keine leeren Argumente bergeben kann.